//+------------------------------------------------------------------+
//|                                                  sScreenShot.mq4 |
//|                                            Dmitry Zhebrak, 2010 |
//|                                       mailto: necronfx@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Dmitry Zhebrak, 2010"
#property link      "mailto: necronfx@gmail.com"

#property show_inputs
extern string  file_name="";// 
extern string  prefix="";//   ,  
extern bool    LinkDateToName=false;// true        
extern string  DirToSaveOnDrive="d:\\\"; //    
extern bool    play_sound=true;// true  
extern int     size_x=800;//   .
extern int     size_y=600;//   .
extern int     start_bar=-1;//     .    0,        .    ,    ,         .
extern int     shart_scale=-1;// ,   .     0  5.    ,    ,     .
extern int     chart_mode=-1;//  .   : CHART_BAR (0 -  ), CHART_CANDLE (1 -  ), CHART_LINE (2 -    ).    ,    ,       .
extern string  sound_name="ok";//  

#import "kernel32.dll"
   int MoveFileA(string FromFileName,string ToFileName);
#import

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
string name,txt;
int h;
if(file_name!="")name=file_name+".gif";
else name=StringConcatenate(TimeToStr(TimeCurrent(), TIME_DATE)," ",Hour(),".",Minute(),"  ",Symbol(),"_"+GetNameTF(Period())+".gif");
if(LinkDateToName) name=StringConcatenate(TimeToStr(TimeCurrent(), TIME_DATE)," "+file_name+".gif");
   if(!IsStopped())
    {
     h=WindowScreenShot(prefix+" "+name,size_x,size_y,shart_scale,chart_mode);
      if(!h)
       {
        Alert("   #"+GetLastError()+""); 
         if(play_sound)
         PlaySound("timeout.wav");
       } 
      else
       { 
        if(play_sound)
         PlaySound(sound_name+".wav");
       }  
    }
  MoveFile(prefix+" "+name);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//+----------------------------------------------------------------------------+
//|      :   . aka KimIV,  http://www.kimiv.ru                   |
//+----------------------------------------------------------------------------+
//|     : 01.09.2005                                                     |
//|   :                                |
//+----------------------------------------------------------------------------+
//|  :                                                                |
//|    TimeFrame -  ( )      (0 -  )         |
//+----------------------------------------------------------------------------+
string GetNameTF(int TimeFrame=0) {
  if (TimeFrame==0) TimeFrame=Period();
  switch (TimeFrame) {
    case PERIOD_M1:  return("M1");
    case PERIOD_M5:  return("M5");
    case PERIOD_M15: return("M15");
    case PERIOD_M30: return("M30");
    case PERIOD_H1:  return("H1");
    case PERIOD_H4:  return("H4");
    case PERIOD_D1:  return("Daily");
    case PERIOD_W1:  return("Weekly");
    case PERIOD_MN1: return("Monthly");
    default:         return("Unknown Period");
  }
}
int MoveFile(string FileName)
 {
  int res;
  string FolderFrom;
  FolderFrom=StringConcatenate(TerminalPath(),"\experts\files\\");
  Print(StringConcatenate(TerminalPath(),"\experts\files\\",FileName));
  if(!IsDllsAllowed())
   {
     Alert("   DLL "); 
     return(0); 
   }  
  res=MoveFileA(FolderFrom+FileName,DirToSaveOnDrive+FileName);
  if(res==0)Print("   "+FileName+"");
 }